Opened 7 years ago

Closed 6 years ago

#151 closed enhancement (fixed)

Report working USB bridge

Reported by: jlivdahl Owned by: manfred99
Priority: minor Milestone: Release 5.41
Component: drivedb Version: 5.40
Keywords: Cc:

Description

I would like to report that this Unknown USB bridge [0x0bc2:0x50a1]

Work with:
-d sat,12

It is the Seagate FreeAgent? GoFlex? Desk USB 3.0 external HDD
Tested with Windows 7 x64 with a Gigabyte GA-H55M-USB motherboard

Change History (12)

comment:1 Changed 7 years ago by chrfranke

Component: alldrivedb
Milestone: Release 5.41
Priority: majorminor

comment:2 Changed 7 years ago by chrfranke

Keywords: Unknown USB bridge removed

Does it also work with 16-byte SAT pass-through (-d sat) ?
Do 48-bit ATA commands work (smartctl -d sat -x ...) ?

comment:3 Changed 7 years ago by jlivdahl

No the "-d sat" and "-d sat -x" does not work.

The -d sat,12 -x works.

Example outputs below:


C:\Program Files (x86)\GSmartControl>smartctl.exe -d sat -x pd1
smartctl 5.39.1 2010-01-28 r3054 [i686-pc-mingw32-win7(64)] (sf-win32-5.39.1-1)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

Smartctl: Device Read Identity Failed (not an ATA/ATAPI device)

A mandatory SMART command failed: exiting. To continue, add one or more '-T permissive' options.


C:\Program Files (x86)\GSmartControl>smartctl.exe -d sat,12 -x pd1
smartctl 5.39.1 2010-01-28 r3054 [i686-pc-mingw32-win7(64)] (sf-win32-5.39.1-1)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

START OF INFORMATION SECTION

Device Model: ST32000542AS
Serial Number: 6XW1XQXT
Firmware Version: CC95
User Capacity: 2,000,398,934,016 bytes
Device is: Not in smartctl database [for details use: -P showall]
ATA Version is: 8
ATA Standard is: ATA-8-ACS revision 4
Local Time is: Tue Feb 22 11:01:06 2011 CST
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

START OF READ SMART DATA SECTION

SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status: (0x82) Offline data collection activity

was completed without error.
Auto Offline Data Collection: Enabled.

Self-test execution status: ( 0) The previous self-test routine completed

without error or no self-test has ever
been run.

Total time to complete Offline
data collection: ( 633) seconds.
Offline data collection
capabilities: (0x7b) SMART execute Offline immediate.

Auto Offline data collection on/off support.
Suspend Offline collection upon new
command.
Offline surface scan supported.
Self-test supported.
Conveyance Self-test supported.
Selective Self-test supported.

SMART capabilities: (0x0003) Saves SMART data before entering

power-saving mode.
Supports SMART auto save timer.

Error logging capability: (0x01) Error logging supported.

General Purpose Logging supported.

Short self-test routine
recommended polling time: ( 1) minutes.
Extended self-test routine
recommended polling time: ( 255) minutes.
Conveyance self-test routine
recommended polling time: ( 2) minutes.
SCT capabilities: (0x103f) SCT Status supported.

SCT Feature Control supported.
SCT Data Table supported.

SMART Attributes Data Structure revision number: 10
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE

1 Raw_Read_Error_Rate 0x000f 109 099 006 Pre-fail Always - 22670683
3 Spin_Up_Time 0x0003 100 100 000 Pre-fail Always - 0
4 Start_Stop_Count 0x0032 100 100 020 Old_age Always - 891
5 Reallocated_Sector_Ct 0x0033 100 100 036 Pre-fail Always - 0
7 Seek_Error_Rate 0x000f 069 060 030 Pre-fail Always - 8738384
9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 130

10 Spin_Retry_Count 0x0013 100 100 097 Pre-fail Always - 0
12 Power_Cycle_Count 0x0032 100 100 020 Old_age Always - 16

183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0
184 End-to-End_Error 0x0032 100 100 099 Old_age Always - 0
187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0
188 Command_Timeout 0x0032 100 099 000 Old_age Always - 4
189 High_Fly_Writes 0x003a 100 100 000 Old_age Always - 0
190 Airflow_Temperature_Cel 0x0022 057 049 045 Old_age Always - 43 (Lifetime Min/Max? 43/43)
194 Temperature_Celsius 0x0022 043 051 000 Old_age Always - 43 (0 12 0 0)
195 Hardware_ECC_Recovered 0x001a 047 045 000 Old_age Always - 22670683
197 Current_Pending_Sector 0x0012 100 100 000 Old_age Always - 0
198 Offline_Uncorrectable 0x0010 100 100 000 Old_age Offline - 0
199 UDMA_CRC_Error_Count 0x003e 200 200 000 Old_age Always - 0
240 Head_Flying_Hours 0x0000 100 253 000 Old_age Offline - 244009976987806
241 Total_LBAs_Written 0x0000 100 253 000 Old_age Offline - 2398327837
242 Total_LBAs_Read 0x0000 100 253 000 Old_age Offline - 1128803693

General Purpose Logging (GPL) feature set supported
ATA_READ_LOG_EXT (addr=0x00:0x00, page=0, n=1) failed: 48-bit ATA commands require SAT ATA PASS-THROUGH (16)
Read GP Log Directory failed.

SMART Log Directory Version 1 [multi-sector log support]
SMART Log at address 0x00 has 1 sectors [Log Directory]
SMART Log at address 0x01 has 1 sectors [Summary SMART error log]
SMART Log at address 0x02 has 5 sectors [Comprehensive SMART error log]
SMART Log at address 0x06 has 1 sectors [SMART self-test log]
SMART Log at address 0x09 has 1 sectors [Selective self-test log]
SMART Log at address 0x80 has 16 sectors [Host vendor specific log]
SMART Log at address 0x81 has 16 sectors [Host vendor specific log]
SMART Log at address 0x82 has 16 sectors [Host vendor specific log]
SMART Log at address 0x83 has 16 sectors [Host vendor specific log]
SMART Log at address 0x84 has 16 sectors [Host vendor specific log]
SMART Log at address 0x85 has 16 sectors [Host vendor specific log]
SMART Log at address 0x86 has 16 sectors [Host vendor specific log]
SMART Log at address 0x87 has 16 sectors [Host vendor specific log]
SMART Log at address 0x88 has 16 sectors [Host vendor specific log]
SMART Log at address 0x89 has 16 sectors [Host vendor specific log]
SMART Log at address 0x8a has 16 sectors [Host vendor specific log]
SMART Log at address 0x8b has 16 sectors [Host vendor specific log]
SMART Log at address 0x8c has 16 sectors [Host vendor specific log]
SMART Log at address 0x8d has 16 sectors [Host vendor specific log]
SMART Log at address 0x8e has 16 sectors [Host vendor specific log]
SMART Log at address 0x8f has 16 sectors [Host vendor specific log]
SMART Log at address 0x90 has 16 sectors [Host vendor specific log]
SMART Log at address 0x91 has 16 sectors [Host vendor specific log]
SMART Log at address 0x92 has 16 sectors [Host vendor specific log]
SMART Log at address 0x93 has 16 sectors [Host vendor specific log]
SMART Log at address 0x94 has 16 sectors [Host vendor specific log]
SMART Log at address 0x95 has 16 sectors [Host vendor specific log]
SMART Log at address 0x96 has 16 sectors [Host vendor specific log]
SMART Log at address 0x97 has 16 sectors [Host vendor specific log]
SMART Log at address 0x98 has 16 sectors [Host vendor specific log]
SMART Log at address 0x99 has 16 sectors [Host vendor specific log]
SMART Log at address 0x9a has 16 sectors [Host vendor specific log]
SMART Log at address 0x9b has 16 sectors [Host vendor specific log]
SMART Log at address 0x9c has 16 sectors [Host vendor specific log]
SMART Log at address 0x9d has 16 sectors [Host vendor specific log]
SMART Log at address 0x9e has 16 sectors [Host vendor specific log]
SMART Log at address 0x9f has 16 sectors [Host vendor specific log]
SMART Log at address 0xa1 has 20 sectors [Device vendor specific log]
SMART Log at address 0xa8 has 129 sectors [Device vendor specific log]
SMART Log at address 0xa9 has 1 sectors [Device vendor specific log]
SMART Log at address 0xc0 has 1 sectors [Device vendor specific log]
SMART Log at address 0xe0 has 1 sectors [SCT Command/Status?]
SMART Log at address 0xe1 has 1 sectors [SCT Data Transfer]

SMART Extended Comprehensive Error Log (GP Log 0x03) not supported
SMART Error Log Version: 1
No Errors Logged

SMART Extended Self-test Log (GP Log 0x07) not supported
SMART Self-test log structure revision number 1
Num Test_Description Status Remaining LifeTime?(hours) LBA_of_first_error
# 1 Short offline Completed without error 00% 116 -

SMART Selective self-test log data structure revision number 1

SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS

1 0 0 Not_testing
2 0 0 Not_testing
3 0 0 Not_testing
4 0 0 Not_testing
5 0 0 Not_testing

Selective self-test flags (0x0):

After scanning selected spans, do NOT read-scan remainder of disk.

If Selective self-test is pending on power-up, resume after 0 minute delay.

SCT Status Version: 3
SCT Version (vendor specific): 522 (0x020a)
SCT Support Level: 1
Device State: Active (0)
Current Temperature: 43 Celsius
Power Cycle Min/Max? Temperature: 43/43 Celsius
Lifetime Min/Max? Temperature: 12/51 Celsius
Under/Over? Temperature Limit Count: 0/0
SCT Temperature History Version: 2
Temperature Sampling Period: 10 minutes
Temperature Logging Interval: 59 minutes
Min/Max? recommended Temperature: 14/55 Celsius
Min/Max? Temperature Limit: 10/60 Celsius
Temperature History Size (Index): 128 (38)

Index Estimated Time Temperature Celsius

39 2011-02-17 05:10 44 *
40 2011-02-17 06:09 44 *
41 2011-02-17 07:08 46 *
42 2011-02-17 08:07 47

43 2011-02-17 09:06 48
*
44 2011-02-17 10:05 49

45 2011-02-17 11:04 49
46 2011-02-17 12:03 50
*
47 2011-02-17 13:02 50 *
48 2011-02-17 14:01 49

49 2011-02-17 15:00 48 *
50 2011-02-17 15:59 47
51 2011-02-17 16:58 49
52 2011-02-17 17:57 50
*
53 2011-02-17 18:56 49
54 2011-02-17 19:55 46
*
55 2011-02-17 20:54 32 *
56 2011-02-17 21:53 27
57 2011-02-17 22:52 25
58 2011-02-17 23:51 24
*

... ..( 3 skipped). .. *

62 2011-02-18 03:47 24 *
63 2011-02-18 04:46 39
64 2011-02-18 05:45 48 *
65 2011-02-18 06:44 50 *
66 2011-02-18 07:43 50
*
67 2011-02-18 08:42 48 *
68 2011-02-18 09:41 44 *
69 2011-02-18 10:40 44 *
70 2011-02-18 11:39 45
71 2011-02-18 12:38 47

72 2011-02-18 13:37 48
*
73 2011-02-18 14:36 46
*
74 2011-02-18 15:35 43
75 2011-02-18 16:34 45
76 2011-02-18 17:33 47

77 2011-02-18 18:32 48
*
78 2011-02-18 19:31 37

79 2011-02-18 20:30 28 *
80 2011-02-18 21:29 26 *
81 2011-02-18 22:28 36
*
82 2011-02-18 23:27 42
*
83 2011-02-19 00:26 43

... ..( 2 skipped). ..

86 2011-02-19 03:23 43
87 2011-02-19 04:22 44 *
88 2011-02-19 05:21 41
89 2011-02-19 06:20 44
*
90 2011-02-19 07:19 44
*
91 2011-02-19 08:18 45

92 2011-02-19 09:17 45
93 2011-02-19 10:16 45

94 2011-02-19 11:15 40 *
95 2011-02-19 12:14 30 *
96 2011-02-19 13:13 36
*
97 2011-02-19 14:12 43

98 2011-02-19 15:11 45

99 2011-02-19 16:10 45

100 2011-02-19 17:09 45
101 2011-02-19 18:08 47

102 2011-02-19 19:07 45

103 2011-02-19 20:06 34 *
104 2011-02-19 21:05 32
*
105 2011-02-19 22:04 37

106 2011-02-19 23:03 28 *
107 2011-02-20 00:02 26 *
108 2011-02-20 01:01 34
*
109 2011-02-20 02:00 33
110 2011-02-20 02:59 27

111 2011-02-20 03:58 32
*
112 2011-02-20 04:57 42
*
113 2011-02-20 05:56 44 *
114 2011-02-20 06:55 45
115 2011-02-20 07:54 45

116 2011-02-20 08:53 45
117 2011-02-20 09:52 44
*
118 2011-02-20 10:51 46
*
119 2011-02-20 11:50 47
120 2011-02-20 12:49 47
121 2011-02-20 13:48 48 *
122 2011-02-20 14:47 47
123 2011-02-20 15:46 ? -
124 2011-02-20 16:45 46 *
125 2011-02-20 17:44 46
*
126 2011-02-20 18:43 49
127 2011-02-20 19:42 48
*

0 2011-02-20 20:41 38 *
1 2011-02-20 21:40 29

2 2011-02-20 22:39 32 *
3 2011-02-20 23:38 36 *
4 2011-02-21 00:37 28 *
5 2011-02-21 01:36 35
6 2011-02-21 02:35 34 *
7 2011-02-21 03:34 27

8 2011-02-21 04:33 42
*
9 2011-02-21 05:32 44 *

10 2011-02-21 06:31 46 *

... ..( 3 skipped). .. *

14 2011-02-21 10:27 46 *
15 2011-02-21 11:26 ? -
16 2011-02-21 12:25 48
*
17 2011-02-21 13:24 ? -
18 2011-02-21 14:23 47

19 2011-02-21 15:22 ? -
20 2011-02-21 16:21 46
*
21 2011-02-21 17:20 ? -
22 2011-02-21 18:19 46 *
23 2011-02-21 19:18 ? -
24 2011-02-21 20:17 46
*
25 2011-02-21 21:16 46 *
26 2011-02-21 22:15 47

27 2011-02-21 23:14 48
*
28 2011-02-22 00:13 ? -
29 2011-02-22 01:12 46
*
30 2011-02-22 02:11 46 *
31 2011-02-22 03:10 44
*
32 2011-02-22 04:09 45

33 2011-02-22 05:08 44 *
34 2011-02-22 06:07 44 *
35 2011-02-22 07:06 44 *
36 2011-02-22 08:05 ? -
37 2011-02-22 09:04 43
38 2011-02-22 10:03 43

SATA Phy Event Counters (GP Log 0x11) not supported

comment:4 Changed 7 years ago by chrfranke

Owner: changed from somebody to manfred99
Status: newassigned

comment:5 Changed 7 years ago by manfred99

Resolution: fixed
Status: assignedclosed

Added to drive database.

comment:6 Changed 6 years ago by hobart

Also now working with (2TB) units with default -sat (16).
Win 7/64 , ASUS M4A78LT-M motherboard.

C:\Program Files (x86)\GSmartControl>smartctl -a pd2 -d sat
smartctl 5.39.1 2010-01-28 r3054 [i686-pc-mingw32-win7(64)-sp1] (sf-win32-5.39.1-1)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

=== START OF INFORMATION SECTION ===
Device Model:     ST2000DL003-9VT166
Serial Number:    5YD3YDBP
Firmware Version: CC98
User Capacity:    2,000,398,934,016 bytes
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   8
ATA Standard is:  ATA-8-ACS revision 4
Local Time is:    Fri Aug 05 02:11:22 2011 MDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x82) Offline data collection activity
                                        was completed without error.
                                        Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0) The previous self-test routine completed
                                        without error or no self-test has ever
                                        been run.
Total time to complete Offline
data collection:                 ( 623) seconds.
Offline data collection
capabilities:                    (0x7b) SMART execute Offline immediate.
                                        Auto Offline data collection on/off support.
                                        Suspend Offline collection upon new
                                        command.
                                        Offline surface scan supported.
                                        Self-test supported.
                                        Conveyance Self-test supported.
                                        Selective Self-test supported.
SMART capabilities:            (0x0003) Saves SMART data before entering
                                        power-saving mode.
                                        Supports SMART auto save timer.
Error logging capability:        (0x01) Error logging supported.
                                        General Purpose Logging supported.
Short self-test routine
recommended polling time:        (   1) minutes.
Extended self-test routine
recommended polling time:        ( 255) minutes.
Conveyance self-test routine
recommended polling time:        (   2) minutes.
SCT capabilities:              (0x1033) SCT Status supported.
                                        SCT Feature Control supported.
                                        SCT Data Table supported.

SMART Attributes Data Structure revision number: 10
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAG     VALUE WORST THRESH TYPE      UPDATED  WHEN_FAILED RAW_VALUE
  1 Raw_Read_Error_Rate     0x000f   100   100   006    Pre-fail  Always       -       291184
  3 Spin_Up_Time            0x0003   093   092   000    Pre-fail  Always       -       0
  4 Start_Stop_Count        0x0032   100   100   020    Old_age   Always       -       10
  5 Reallocated_Sector_Ct   0x0033   100   100   036    Pre-fail  Always       -       0
  7 Seek_Error_Rate         0x000f   100   253   030    Pre-fail  Always       -       265
  9 Power_On_Hours          0x0032   100   100   000    Old_age   Always       -       1
 10 Spin_Retry_Count        0x0013   100   100   097    Pre-fail  Always       -       0
 12 Power_Cycle_Count       0x0032   100   100   020    Old_age   Always       -       9
183 Runtime_Bad_Block       0x0032   100   100   000    Old_age   Always       -       0
184 End-to-End_Error        0x0032   100   100   099    Old_age   Always       -       0
187 Reported_Uncorrect      0x0032   100   100   000    Old_age   Always       -       0
188 Command_Timeout         0x0032   100   253   000    Old_age   Always       -       0
189 High_Fly_Writes         0x003a   100   100   000    Old_age   Always       -       0
190 Airflow_Temperature_Cel 0x0022   050   050   045    Old_age   Always       -       50 (Lifetime Min/Max 48/50)
191 G-Sense_Error_Rate      0x0032   100   100   000    Old_age   Always       -       0
192 Power-Off_Retract_Count 0x0032   100   100   000    Old_age   Always       -       8
193 Load_Cycle_Count        0x0032   100   100   000    Old_age   Always       -       10
194 Temperature_Celsius     0x0022   050   050   000    Old_age   Always       -       50 (0 24 0 0)
195 Hardware_ECC_Recovered  0x001a   100   100   000    Old_age   Always       -       291184
197 Current_Pending_Sector  0x0012   100   100   000    Old_age   Always       -       0
198 Offline_Uncorrectable   0x0010   100   100   000    Old_age   Offline      -       0
199 UDMA_CRC_Error_Count    0x003e   200   200   000    Old_age   Always       -       0
240 Head_Flying_Hours       0x0000   100   253   000    Old_age   Offline      -       79212081840129
241 Total_LBAs_Written      0x0000   100   253   000    Old_age   Offline      -       44548
242 Total_LBAs_Read         0x0000   100   253   000    Old_age   Offline      -       239529

SMART Error Log Version: 1
No Errors Logged

SMART Self-test log structure revision number 1
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Conveyance offline  Completed without error       00%         1         -

SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.


C:\Program Files (x86)\GSmartControl>smartctl -a pd2 -d sat -x
smartctl 5.39.1 2010-01-28 r3054 [i686-pc-mingw32-win7(64)-sp1] (sf-win32-5.39.1-1)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

=== START OF INFORMATION SECTION ===
Device Model:     ST2000DL003-9VT166
Serial Number:    5YD3YDBP
Firmware Version: CC98
User Capacity:    2,000,398,934,016 bytes
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   8
ATA Standard is:  ATA-8-ACS revision 4
Local Time is:    Fri Aug 05 02:11:38 2011 MDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x82) Offline data collection activity
                                        was completed without error.
                                        Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0) The previous self-test routine completed
                                        without error or no self-test has ever
                                        been run.
Total time to complete Offline
data collection:                 ( 623) seconds.
Offline data collection
capabilities:                    (0x7b) SMART execute Offline immediate.
                                        Auto Offline data collection on/off support.
                                        Suspend Offline collection upon new
                                        command.
                                        Offline surface scan supported.
                                        Self-test supported.
                                        Conveyance Self-test supported.
                                        Selective Self-test supported.
SMART capabilities:            (0x0003) Saves SMART data before entering
                                        power-saving mode.
                                        Supports SMART auto save timer.
Error logging capability:        (0x01) Error logging supported.
                                        General Purpose Logging supported.
Short self-test routine
recommended polling time:        (   1) minutes.
Extended self-test routine
recommended polling time:        ( 255) minutes.
Conveyance self-test routine
recommended polling time:        (   2) minutes.
SCT capabilities:              (0x1033) SCT Status supported.
                                        SCT Feature Control supported.
                                        SCT Data Table supported.

SMART Attributes Data Structure revision number: 10
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAG     VALUE WORST THRESH TYPE      UPDATED  WHEN_FAILED RAW_VALUE
  1 Raw_Read_Error_Rate     0x000f   100   100   006    Pre-fail  Always       -       291184
  3 Spin_Up_Time            0x0003   093   092   000    Pre-fail  Always       -       0
  4 Start_Stop_Count        0x0032   100   100   020    Old_age   Always       -       10
  5 Reallocated_Sector_Ct   0x0033   100   100   036    Pre-fail  Always       -       0
  7 Seek_Error_Rate         0x000f   100   253   030    Pre-fail  Always       -       265
  9 Power_On_Hours          0x0032   100   100   000    Old_age   Always       -       1
 10 Spin_Retry_Count        0x0013   100   100   097    Pre-fail  Always       -       0
 12 Power_Cycle_Count       0x0032   100   100   020    Old_age   Always       -       9
183 Runtime_Bad_Block       0x0032   100   100   000    Old_age   Always       -       0
184 End-to-End_Error        0x0032   100   100   099    Old_age   Always       -       0
187 Reported_Uncorrect      0x0032   100   100   000    Old_age   Always       -       0
188 Command_Timeout         0x0032   100   253   000    Old_age   Always       -       0
189 High_Fly_Writes         0x003a   100   100   000    Old_age   Always       -       0
190 Airflow_Temperature_Cel 0x0022   050   050   045    Old_age   Always       -       50 (Lifetime Min/Max 48/50)
191 G-Sense_Error_Rate      0x0032   100   100   000    Old_age   Always       -       0
192 Power-Off_Retract_Count 0x0032   100   100   000    Old_age   Always       -       8
193 Load_Cycle_Count        0x0032   100   100   000    Old_age   Always       -       10
194 Temperature_Celsius     0x0022   050   050   000    Old_age   Always       -       50 (0 24 0 0)
195 Hardware_ECC_Recovered  0x001a   100   100   000    Old_age   Always       -       291184
197 Current_Pending_Sector  0x0012   100   100   000    Old_age   Always       -       0
198 Offline_Uncorrectable   0x0010   100   100   000    Old_age   Offline      -       0
199 UDMA_CRC_Error_Count    0x003e   200   200   000    Old_age   Always       -       0
240 Head_Flying_Hours       0x0000   100   253   000    Old_age   Offline      -       149404732358657
241 Total_LBAs_Written      0x0000   100   253   000    Old_age   Offline      -       44548
242 Total_LBAs_Read         0x0000   100   253   000    Old_age   Offline      -       239529

General Purpose Logging (GPL) feature set supported
General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
GP/S  Log at address 0x00 has    1 sectors [Log Directory]
SMART Log at address 0x01 has    1 sectors [Summary SMART error log]
SMART Log at address 0x02 has    5 sectors [Comprehensive SMART error log]
GP    Log at address 0x03 has    5 sectors [Ext. Comprehensive SMART error log]
SMART Log at address 0x06 has    1 sectors [SMART self-test log]
GP    Log at address 0x07 has    1 sectors [Extended self-test log]
SMART Log at address 0x09 has    1 sectors [Selective self-test log]
GP    Log at address 0x10 has    1 sectors [NCQ Command Error]
GP    Log at address 0x11 has    1 sectors [SATA Phy Event Counters]
GP    Log at address 0x21 has    1 sectors [Write stream error log]
GP    Log at address 0x22 has    1 sectors [Read stream error log]
GP/S  Log at address 0x80 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x81 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x82 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x83 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x84 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x85 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x86 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x87 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x88 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x89 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8a has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8b has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8c has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8d has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8e has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8f has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x90 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x91 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x92 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x93 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x94 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x95 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x96 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x97 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x98 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x99 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9a has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9b has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9c has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9d has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9e has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9f has   16 sectors [Host vendor specific log]
GP/S  Log at address 0xa1 has   20 sectors [Device vendor specific log]
GP    Log at address 0xa2 has 2248 sectors [Device vendor specific log]
GP/S  Log at address 0xa8 has   20 sectors [Device vendor specific log]
GP/S  Log at address 0xa9 has    1 sectors [Device vendor specific log]
GP    Log at address 0xab has    1 sectors [Device vendor specific log]
GP    Log at address 0xb0 has 2819 sectors [Device vendor specific log]
GP    Log at address 0xbd has  252 sectors [Device vendor specific log]
GP    Log at address 0xbe has 65535 sectors [Device vendor specific log]
GP    Log at address 0xbf has 65535 sectors [Device vendor specific log]
GP/S  Log at address 0xc0 has    1 sectors [Device vendor specific log]
GP/S  Log at address 0xe0 has    1 sectors [SCT Command/Status]
GP/S  Log at address 0xe1 has    1 sectors [SCT Data Transfer]

SMART Extended Comprehensive Error Log Version: 1 (5 sectors)
No Errors Logged

SMART Error Log Version: 1
No Errors Logged

SMART Extended Self-test Log Version: 1 (1 sectors)
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Conveyance offline  Completed without error       00%         1         -

SMART Self-test log structure revision number 1
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Conveyance offline  Completed without error       00%         1         -

SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.

SCT Status Version:                  3
SCT Version (vendor specific):       522 (0x020a)
SCT Support Level:                   1
Device State:                        Active (0)
Current Temperature:                    50 Celsius
Power Cycle Min/Max Temperature:     48/50 Celsius
Lifetime    Min/Max Temperature:     24/50 Celsius
Under/Over Temperature Limit Count:   0/0
SCT Temperature History Version:     2
Temperature Sampling Period:         1 minute
Temperature Logging Interval:        59 minutes
Min/Max recommended Temperature:     14/55 Celsius
Min/Max Temperature Limit:           10/60 Celsius
Temperature History Size (Index):    128 (27)

Index    Estimated Time   Temperature Celsius
  28    2011-07-30 20:36     ?  -
 ...    ..( 98 skipped).    ..  -
 127    2011-08-03 21:57     ?  -
   0    2011-08-03 22:56    26  *******
   1    2011-08-03 23:55     ?  -
   2    2011-08-04 00:54    26  *******
   3    2011-08-04 01:53    26  *******
   4    2011-08-04 02:52     ?  -
   5    2011-08-04 03:51    26  *******
   6    2011-08-04 04:50    26  *******
   7    2011-08-04 05:49     ?  -
   8    2011-08-04 06:48    26  *******
   9    2011-08-04 07:47    26  *******
  10    2011-08-04 08:46     ?  -
  11    2011-08-04 09:45    26  *******
  12    2011-08-04 10:44    26  *******
  13    2011-08-04 11:43     ?  -
  14    2011-08-04 12:42    24  *****
  15    2011-08-04 13:41    24  *****
  16    2011-08-04 14:40     ?  -
  17    2011-08-04 15:39    24  *****
  18    2011-08-04 16:38    24  *****
  19    2011-08-04 17:37     ?  -
  20    2011-08-04 18:36    25  ******
  21    2011-08-04 19:35    25  ******
  22    2011-08-04 20:34     ?  -
  23    2011-08-04 21:33    25  ******
  24    2011-08-04 22:32    25  ******
  25    2011-08-04 23:31     ?  -
  26    2011-08-05 00:30    48  *****************************
  27    2011-08-05 01:29    48  *****************************

SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x000a  2            1  Device-to-host register FISes sent due to a COMRESET
0x0001  2            0  Command failed due to ICRC error
0x0003  2            5  R_ERR response for device-to-host data FIS
0x0004  2            0  R_ERR response for host-to-device data FIS
0x0006  2            0  R_ERR response for device-to-host non-data FIS
0x0007  2            0  R_ERR response for host-to-device non-data FIS


C:\Program Files (x86)\GSmartControl>smartctl -a pd2
smartctl 5.39.1 2010-01-28 r3054 [i686-pc-mingw32-win7(64)-sp1] (sf-win32-5.39.1-1)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

pd2: Unknown USB bridge [0x0bc2:0x50a1]
Smartctl: please specify device type with the -d option.

Use smartctl -h to get a usage summary


C:\Program Files (x86)\GSmartControl>

comment:7 Changed 6 years ago by chrfranke

Enabled -d sat in r3415.

comment:8 Changed 6 years ago by belgabor

Resolution: fixed
Status: closedreopened

r3415 breaks the 3Tb disk (0x0bc2:0x50a1). -d sat does not work for those!
Only -d sat,12 works (at least on linux).

zsh/2 4 [1] % sudo smartctl -d sat,12 -a /dev/sdl
smartctl 5.40 2010-07-12 r3124 [x86_64-unknown-linux-gnu] (local build)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

=== START OF INFORMATION SECTION ===
Device Model:     ST33000651AS
Serial Number:    9XK0DSBN
Firmware Version: CC43
User Capacity:    3.000.592.982.016 bytes
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   8
ATA Standard is:  ATA-8-ACS revision 4
Local Time is:    Wed Nov  2 19:57:24 2011 CET
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
...
zsh/2 6 [2] % sudo smartctl -d sat -a /dev/sdl 
smartctl 5.40 2010-07-12 r3124 [x86_64-unknown-linux-gnu] (local build)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

Smartctl: Device Read Identity Failed (not an ATA/ATAPI device)

A mandatory SMART command failed: exiting. To continue, add one or more '-T permissive' options.

comment:9 in reply to:  8 Changed 6 years ago by chrfranke

Replying to belgabor:

r3415 breaks the 3Tb disk (0x0bc2:0x50a1). -d sat does not work for those!
Only -d sat,12 works (at least on linux).

Does this also fail if -d is not specified?

Does -d sat work with other USB disks on this machine?

Older Linux kernels support only -d sat,12 via USB, -d sat always fails. Therefore the USB device detection modifies -d sat from drivedb.h and actually uses -d sat,12. This is done unconditionally in the above version. Since r3281 it is only done for kernels < 2.6.29.

comment:10 Changed 6 years ago by belgabor

It fails without -d because the adapter is not in the database of the smartmontools version I have (Ubuntu).

Besides two 3Tb Seagates I only have two different adapters for internal SATA discs to test via usb, both work without -d and fail with -d sat.

Still if you read what people posted above: -d sat was only reported working for the 2Tb model, the poster with the 3Tb model also said -d sat does not work for him.

My Kernel is v2.6.38.

comment:11 in reply to:  10 Changed 6 years ago by chrfranke

Thanks for the info, I will fix this soon.

comment:12 Changed 6 years ago by chrfranke

Resolution: fixed
Status: reopenedclosed
Note: See TracTickets for help on using tickets.